import 'package:breaking_bad_quotes/breaking_bad_quotes.dart';

final _logger = injectLogger('breaking_bad_quotes');

/// An example on how to use the [BreakingBadQuotes] package.
///
/// This is just an example to show how to use the package.
///
/// To know more about the API go to
/// https://github.com/shevabam/breaking-bad-quotes.
void main() async {
  var breakingBad = BreakingBadQuotes();

  var singleQuote = await breakingBad.getQuotes();
  _logger.info(singleQuote.first.quote);

  var multipleQuote = await breakingBad.getQuotes(
    numberOfQuotes: 5,
  );
  _logger.info(multipleQuote);
}
