import 'package:breaking_bad_quotes/breaking_bad_quotes.dart';
import 'package:test/test.dart';

/// Testing APIs
void main() {
  BreakingBadQuotes? breakingBadQuotes;

  group(
    'Testing APIs',
    () {
      setUp(
        () {
          breakingBadQuotes = BreakingBadQuotes();
        },
      );

      group(
        'Quotes',
        () {
          test(
            'breaking bad quotes should not be null',
            () {
              expect(breakingBadQuotes != null, true);
            },
          );

          test(
            'Single quotes',
            () async {
              var data = await breakingBadQuotes!.getQuotes();
              expect(data.length, 1);
            },
          );

          test(
            'Multiple quotes',
            () async {
              var data = await breakingBadQuotes!.getQuotes(
                numberOfQuotes: 5,
              );
              expect(data.length, 5);
            },
          );
        },
      );
    },
  );
}
